#region Using directives

using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using System.Drawing;
using CarLib;
#endregion

namespace CarVisualizer
{
    public class CarForm : Form
    {
        private Label carIDValue;
        private Label carMakeLabel;
        private Label carMakeValue;
        private Label carModelLabel;
        private Label engineTypeLabel;
        private Label carModelValue;
        private Label engineTypeValue;
        private Label carIDLabel;
        private Car _car;
        public CarForm(Car car)
        {
            InitializeComponent();
            _car = car;
        }

        private void InitializeComponent()
        {
            this.carIDLabel = new System.Windows.Forms.Label();
            this.carIDValue = new System.Windows.Forms.Label();
            this.carMakeLabel = new System.Windows.Forms.Label();
            this.carMakeValue = new System.Windows.Forms.Label();
            this.carModelLabel = new System.Windows.Forms.Label();
            this.engineTypeLabel = new System.Windows.Forms.Label();
            this.carModelValue = new System.Windows.Forms.Label();
            this.engineTypeValue = new System.Windows.Forms.Label();
            this.SuspendLayout();
// 
// carIDLabel
// 
            this.carIDLabel.AutoSize = true;
            this.carIDLabel.Font = new System.Drawing.Font("Verdana", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.carIDLabel.Location = new System.Drawing.Point(13, 13);
            this.carIDLabel.Name = "carIDLabel";
            this.carIDLabel.Size = new System.Drawing.Size(67, 22);
            this.carIDLabel.TabIndex = 0;
            this.carIDLabel.Text = "Car ID: ";
            this.carIDLabel.Click += new System.EventHandler(this.label1_Click);
// 
// carIDValue
// 
            this.carIDValue.AutoSize = true;
            this.carIDValue.Font = new System.Drawing.Font("Verdana", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.carIDValue.Location = new System.Drawing.Point(87, 13);
            this.carIDValue.Name = "carIDValue";
            this.carIDValue.Size = new System.Drawing.Size(68, 22);
            this.carIDValue.TabIndex = 1;
            this.carIDValue.Text = "Sample";
// 
// carMakeLabel
// 
            this.carMakeLabel.AutoSize = true;
            this.carMakeLabel.Font = new System.Drawing.Font("Verdana", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.carMakeLabel.Location = new System.Drawing.Point(13, 42);
            this.carMakeLabel.Name = "carMakeLabel";
            this.carMakeLabel.Size = new System.Drawing.Size(91, 22);
            this.carMakeLabel.TabIndex = 2;
            this.carMakeLabel.Text = "Car Make:";
// 
// carMakeValue
// 
            this.carMakeValue.AutoSize = true;
            this.carMakeValue.Font = new System.Drawing.Font("Verdana", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.carMakeValue.Location = new System.Drawing.Point(111, 42);
            this.carMakeValue.Name = "carMakeValue";
            this.carMakeValue.Size = new System.Drawing.Size(68, 22);
            this.carMakeValue.TabIndex = 3;
            this.carMakeValue.Text = "Sample";
// 
// carModelLabel
// 
            this.carModelLabel.AutoSize = true;
            this.carModelLabel.Font = new System.Drawing.Font("Verdana", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.carModelLabel.Location = new System.Drawing.Point(13, 71);
            this.carModelLabel.Name = "carModelLabel";
            this.carModelLabel.Size = new System.Drawing.Size(96, 22);
            this.carModelLabel.TabIndex = 4;
            this.carModelLabel.Text = "Car Model:";
// 
// engineTypeLabel
// 
            this.engineTypeLabel.AutoSize = true;
            this.engineTypeLabel.Font = new System.Drawing.Font("Verdana", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.engineTypeLabel.Location = new System.Drawing.Point(13, 100);
            this.engineTypeLabel.Name = "engineTypeLabel";
            this.engineTypeLabel.Size = new System.Drawing.Size(115, 22);
            this.engineTypeLabel.TabIndex = 5;
            this.engineTypeLabel.Text = "Engine Type:";
// 
// carModelValue
// 
            this.carModelValue.AutoSize = true;
            this.carModelValue.Font = new System.Drawing.Font("Verdana", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.carModelValue.Location = new System.Drawing.Point(116, 71);
            this.carModelValue.Name = "carModelValue";
            this.carModelValue.Size = new System.Drawing.Size(68, 22);
            this.carModelValue.TabIndex = 6;
            this.carModelValue.Text = "Sample";
// 
// engineTypeValue
// 
            this.engineTypeValue.AutoSize = true;
            this.engineTypeValue.Font = new System.Drawing.Font("Verdana", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.engineTypeValue.Location = new System.Drawing.Point(135, 100);
            this.engineTypeValue.Name = "engineTypeValue";
            this.engineTypeValue.Size = new System.Drawing.Size(68, 22);
            this.engineTypeValue.TabIndex = 7;
            this.engineTypeValue.Text = "Sample";
// 
// CarForm
// 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(351, 140);
            this.Controls.Add(this.engineTypeValue);
            this.Controls.Add(this.carModelValue);
            this.Controls.Add(this.engineTypeLabel);
            this.Controls.Add(this.carModelLabel);
            this.Controls.Add(this.carMakeValue);
            this.Controls.Add(this.carMakeLabel);
            this.Controls.Add(this.carIDValue);
            this.Controls.Add(this.carIDLabel);
            this.Name = "CarForm";
            this.Text = "Car";
            this.Load += new System.EventHandler(this.CarForm_Load);
            this.ResumeLayout(false);
            this.PerformLayout();

        }

        private void label1_Click(object sender, EventArgs e)
        {
        
        }

        private void CarForm_Load(object sender, EventArgs e)
        {
            carIDValue.Text = _car.CarID.ToString();
            carMakeValue.Text = _car.CarMake;
            carModelValue.Text = _car.CarModel;
            engineTypeValue.Text = _car.EngineType;

        }
    }
}
